Skip to main content
`Ctrl`+`K`

# PetscSortMPIIntWithArray

Sorts an array of `PetscMPIInt` in place in increasing order; changes a second `PetscMPIInt` array to match the sorted first array.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortMPIIntWithArray(PetscCount n, PetscMPIInt X[], PetscMPIInt Y[])

Not Collective

## Input Parameters

- n - number of values

- X - array of `PetscMPIInt`

- Y - second array of `PetscMPIInt`

## See Also

`PetscMPIIntSortSemiOrderedWithArray()`, `PetscSortReal()`, `PetscSortIntWithPermutation()`, `PetscSortInt()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages